<?php

/**
 * @file
 * Drush integration with Droptor.
 */

/**
 * Implements hook_drush_command().
 */
function droptor_drush_command() {
  return array(
	  'droptor-send-feed' => array(
	    'callback' => 'droptor_drush_send_feed',
	    'description' => dt("Send your site's Droptor feed to droptor.com. Same as running cron without the overhead."),
	    'aliases' => array('dropsend'),
	  ),
  );
}

/**
 * Drush command callback to send your feed to Droptor.
 */
function droptor_drush_send_feed() {
	module_load_include('inc', 'droptor', 'droptor');

  // Send the feed to Droptor.com.
  if(droptor_send()) {
  	drush_log(dt('Feed successfully sent to Droptor.com'), 'ok');
  }
  else {
  	drush_log(dt('There was a problem sending your feed to Drotor.com. More information has been logged to the watchdog.'), 'error');
  }
}
